<?php
// $Id$

/**
 * @file
 * This file will determine how the dynamic banner block will display
 */

// input variables need to have the same name as the theme definitions

// Url
$url;
// Text (optional)
$text;
// Link (optional)
$link;
// display setting
$display_setting;
// display errors
$display_errors;

// default the output
$output = "";

// decide how to output based on what the display setting is
if ($display_setting == 'urltext') {
  // check for variables
  if ($url && $text) {
  $text = str_replace('[span]', '<span>', $text);
  $text = str_replace('[/span]', '</span>', $text);
    // form the html snippet and print
    $url = file_create_url($url);
    $output .= "<div id='banner-picture'>"; // match this up with your css
    $output .= "<img src='$url' class='jpg' alt='banner'/>";
    $output .= "</div><div id='banner-title'>"; // if you have text in your banner match this up with your css
    $output .= "<h2 class='block-title'>" . $text . "</h2>";
    $output .= "</div>";
  }
  elseif ( $display_errors) {
    $output .= "banner problem";
  }
}
elseif ($display_setting == 'url') {
  // just an image url came in
  if ($url) {
    $output .= "<div id='banner'>";
    $output .= "<img src='/$url' class='jpg' alt='banner'/>";
    $output .= "</div>";
  }
  elseif ( $display_errors) {
    $output .= "banner problem";
  }
}
elseif ($display_setting == 'text') {
  // just text came in
  if ($url) {
    $output .= "<div id='banner'>";
    $output .= "<h2 class='title'>$text</h2>";
    $output .= "</div>";
  }
  elseif ( $display_errors) {
    $output .= "banner problem";
  }
}
elseif ($display_setting == 'urllink') {
  if ($url && $link) {
    $output .= "<div id='banner'>";
    $output .= "<a class='link' href='$link'><img class='jpg' alt='banner' src='/$url'></a>";
    $output .= "</div>";
  }
  elseif ($display_errors) {
    $output .= "banner problem";
  }
}
print $output;
